package com.ysnows.base.utils.exception;

import com.socks.library.KLog;

public class ExceptionUtils {

    public static String getExceptionName(Throwable e) {

        String message = e.getMessage();
        KLog.d(message);
        if (message.contains("SSL handshake aborted")) {
            return "网络错误，请检查手机网络";
        }

        if (message.contains("timed out")) {
            return "系统繁忙，请重新尝试！";
        }

        return "系统繁忙，请重新尝试！";

        //        return "系统繁忙，请重新尝试！";

//            switch (message) {
//                case "HTTP 404 Not Found":
//                    return "未找到服务";
//                case "Connection reset":
//                    return "链接重置";
//                default:
//                    return message;
//            }
//        }
    }
}
